package com.ylx.massage.mapper;

import java.util.List;
import com.ylx.massage.domain.MaCarouselChart;

/**
 * 轮播图管理Mapper接口
 *
 * @author ylx
 * @date 2024-03-21
 */
public interface MaCarouselChartMapper
{
    /**
     * 查询轮播图管理
     *
     * @param id 轮播图管理主键
     * @return 轮播图管理
     */
    public MaCarouselChart selectMaCarouselChartById(Long id);

    /**
     * 查询轮播图管理列表
     *
     * @param maCarouselChart 轮播图管理
     * @return 轮播图管理集合
     */
    public List<MaCarouselChart> selectMaCarouselChartList(MaCarouselChart maCarouselChart);

    /**
     * 新增轮播图管理
     *
     * @param maCarouselChart 轮播图管理
     * @return 结果
     */
    public int insertMaCarouselChart(MaCarouselChart maCarouselChart);

    /**
     * 修改轮播图管理
     *
     * @param maCarouselChart 轮播图管理
     * @return 结果
     */
    public int updateMaCarouselChart(MaCarouselChart maCarouselChart);

    /**
     * 删除轮播图管理
     *
     * @param id 轮播图管理主键
     * @return 结果
     */
    public int deleteMaCarouselChartById(Long id);

    /**
     * 批量删除轮播图管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMaCarouselChartByIds(Long[] ids);
}
